Skip to content
Start here

List ASes from global routing tables

radar.bgp.routes.ases(RouteAsesParams**kwargs) -> RouteAsesResponse
GET/radar/bgp/routes/ases

Retrieves all ASes in the current global routing tables with routing statistics.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
User Details WriteUser Details Read
ParametersExpand Collapse
format: Optional[Literal["JSON", "CSV"]]

Format in which results will be returned.

One of the following:
"JSON"
"CSV"
limit: Optional[int]

Limits the number of objects returned in the response.

exclusiveMinimum
minimum0
location: Optional[str]

Filters results by location. Specify an alpha-2 location code.

maxLength2
minLength2
sort_by: Optional[Literal["cone", "pfxs", "ipv4", 4 more]]

Sorts results by the specified field.

One of the following:
"cone"
"pfxs"
"ipv4"
"ipv6"
"rpki_valid"
"rpki_invalid"
"rpki_unknown"
sort_order: Optional[Literal["ASC", "DESC"]]

Sort order.

One of the following:
"ASC"
"DESC"
ReturnsExpand Collapse
class RouteAsesResponse:
asns: List[ASN]
asn: int
cone_size: int

AS’s customer cone size.

country: str

Alpha-2 code for the AS’s registration country.

ipv4_count: int

Number of IPv4 addresses originated by the AS.

ipv6_count: str

Number of IPv6 addresses originated by the AS.

name: str

Name of the AS.

pfxs_count: int

Number of total IP prefixes originated by the AS.

rpki_invalid: int

Number of RPKI invalid prefixes originated by the AS.

rpki_unknown: int

Number of RPKI unknown prefixes originated by the AS.

rpki_valid: int

Number of RPKI valid prefixes originated by the AS.

meta: Meta
data_time: str

The timestamp of when the data is generated.

query_time: str

The timestamp of the query.

total_peers: int

Total number of route collector peers used to generate this data.

List ASes from global routing tables

import os
from cloudflare import Cloudflare

client = Cloudflare(
    api_token=os.environ.get("CLOUDFLARE_API_TOKEN"),  # This is the default and can be omitted
)
response = client.radar.bgp.routes.ases()
print(response.asns)
{
  "result": {
    "asns": [
      {
        "asn": 0,
        "coneSize": 0,
        "country": "US",
        "ipv4Count": 0,
        "ipv6Count": "1.21e24",
        "name": "name",
        "pfxsCount": 0,
        "rpkiInvalid": 0,
        "rpkiUnknown": 0,
        "rpkiValid": 0
      }
    ],
    "meta": {
      "dataTime": "2024-06-03T14:00:00",
      "queryTime": "2024-06-03T14:00:00",
      "totalPeers": 0
    }
  },
  "success": true
}
Returns Examples
{
  "result": {
    "asns": [
      {
        "asn": 0,
        "coneSize": 0,
        "country": "US",
        "ipv4Count": 0,
        "ipv6Count": "1.21e24",
        "name": "name",
        "pfxsCount": 0,
        "rpkiInvalid": 0,
        "rpkiUnknown": 0,
        "rpkiValid": 0
      }
    ],
    "meta": {
      "dataTime": "2024-06-03T14:00:00",
      "queryTime": "2024-06-03T14:00:00",
      "totalPeers": 0
    }
  },
  "success": true
}